Return the list of pricing adjustment settings agreed between Global-e and the Merchant
curl --request POST \
--url https://{globale_api_domain}/Browsing/CountryCoefficientsimport requests
url = "https://{globale_api_domain}/Browsing/CountryCoefficients"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/CountryCoefficients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"CountryCoefficient": [
{
"CoefficientWithVATType": 123,
"CountryCode": "<string>",
"IncludeVAT": 123,
"ProductClassCode": "<string>",
"Rate": 123
}
]
}Country coefficients (Merchant to Global-e)
Returns the pricing adjustment settings (country coefficients) agreed between Global-e and the Merchant, per shipping country.
POST
/
Browsing
/
CountryCoefficients
Return the list of pricing adjustment settings agreed between Global-e and the Merchant
Returns the list of pricing adjustment settings agreed between Global‑e and the Merchant, for the end customers shipping to the country (if
countryCode is specified), or to all the supported countries (if countryCode is not specified). The list includes both country-level records (where ProductClassCode is empty) and product class-level records (where IncludeVAT is empty but ProductClassCode is not empty).
IncludeVATOptions enumeration — VAT handling & worked example
IncludeVATOptions enumeration — VAT handling & worked example
The IncludeVATOptions enumeration is designated to control the way VAT is handled in browsing on the Merchant’s site and in checkout on Global‑e. Following is the list of IncludeVATOptions values and the expected results for the sample Product. In the table below we are considering a product with the original cost in the UK = 100 GBP before VAT to be shipped to Germany (with country coefficient Rate=1 and user selected currency=GBP, for simplicity). For this sample product UK VAT=20%, DE Duties Total=17%:
| IncludeVAT Option Value | Description | Price In Browsing | Price In Checkout | Price Paid To Merchant (incl. VAT) | Checkout Duties Total | Checkout Total |
|---|---|---|---|---|---|---|
| 0 | Hide VAT (default) | 100 | 100 | 120 | 17 | 117 |
| 2 | Show VAT | 120 | 100 | 120 | 17 | 117 |
| 4 | “Pocket” VAT (increase the original price by the value of the respective product’s VAT) | 120 | 120 | 144 | 20.4 (17%) | 140.4 |
| 6 | Force VAT (used to support trade agreements between the countries such as EEA, when the end customer must pay VAT; for simplicity assuming UseCountryVAT =false) | 120 | 120 | 120 | 0 | 120 |
| 8 | Force & Hide VAT (used to support trade agreements between the countries such as EEA, when end customer must pay VAT but VAT is not shown in browsing; for simplicity assuming UseCountryVAT =false) | 100 | 120 | 120 | 0 | 120 |
Query Parameters
2-char ISO country code. If not specified, all the Country Coefficients for the countries supported by the Merchant will be returned
Response
200 - application/json
List of country coefficients for calculating prices, list of pricing adjustment settings.
List of country coefficients for calculating prices, list of pricing adjustment settings.
Show child attributes
Show child attributes

